Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QThread

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QThread class reference

### Public Functions

- bool finished () const
- bool running () const

## Member Function Documentation

### bool QThread::finished () const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use isFinished() instead.

### bool QThread::running () const

Use isRunning() instead.